Overview
Create beautiful product and API documentation with our developer friendly platform.
API Endpoints is a development API from readme.io. Requests are authenticated with HTTP Basic auth. It is served over HTTPS. Its OpenAPI description documents 31 endpoints.
At a glance
- Authentication
- HTTP Basic
- HTTPS
- Yes
- CORS
- Unknown
- Category
- Development
- Base URL
https://dash.readme.io/api/v1- Version
- 2.0.0
- Endpoints
- 31
- OpenAPI
- Specification ↗
- Spec updated
- 2020-07-22
Make a first request
Replace the placeholders; the documentation says exactly where credentials go.
curl -X GET "https://dash.readme.io/api/v1/" \
-H "Accept: application/json" \
-H "Authorization: Basic BASE64_USER_PASSWORD"const response = await fetch("https://dash.readme.io/api/v1/", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Basic BASE64_USER_PASSWORD",
},
});
const data = await response.json();
console.log(data);import requests
response = requests.request(
"GET",
"https://dash.readme.io/api/v1/",
headers={
"Accept": "application/json",
"Authorization": "Basic BASE64_USER_PASSWORD",
},
timeout=30,
)
print(response.json())Endpoints
| Method | Path | What it does |
|---|---|---|
| GET | / | Get metadata about the current project |
| GET | /api-specification | Get API specification metadata |
| POST | /api-specification | Upload an API specification to ReadMe. Or, to use a newer solution see https://docs.readme.com/guides/docs/automatically-sync-api-specification-with-github |
| PUT | /api-specification/{id} | Update an API specification in ReadMe |
| DELETE | /api-specification/{id} | Delete an API specification in ReadMe |
| GET | /categories/{slug} | Get category |
| GET | /categories/{slug}/docs | Get docs for category |
| GET | /changelogs | Get changelogs |
| POST | /changelogs | Create changelog |
| GET | /changelogs/{slug} | Get changelog |
| PUT | /changelogs/{slug} | Update changelog |
| DELETE | /changelogs/{slug} | Delete changelog |
| GET | /custompages | Get custom pages |
| POST | /custompages | Create custom page |
| GET | /custompages/{slug} | Get custom page |
| PUT | /custompages/{slug} | Update custom page |
| DELETE | /custompages/{slug} | Delete custom page |
| POST | /docs | Create doc |
| POST | /docs/search | Search docs |
| GET | /docs/{slug} | Get doc |
| PUT | /docs/{slug} | Update doc |
| DELETE | /docs/{slug} | Delete doc |
| GET | /errors | Get errors |
| POST | /swaggerdeprecated | DEPRECATED. Instead use https://docs.readme.com/developers/reference/api-specification#uploadapispecification to upload a Swagger file to ReadMe |
| PUT | /swagger/{id}deprecated | DEPRECATED. Instead, use https://docs.readme.com/developers/reference/api-specification#updateapispecification to update a Swagger file. |
| DELETE | /swagger/{id}deprecated | DEPRECATED. Instead, use https://docs.readme.com/developers/reference/api-specification#deleteapispecification to delete a Swagger file in ReadMe |
| GET | /version | Get versions |
| POST | /version | Create version |
| GET | /version/{versionId} | Get version |
| PUT | /version/{versionId} | Update version |
| DELETE | /version/{versionId} | Delete version |
Questions
Does the API Endpoints API need an API key?
Yes. The API Endpoints API uses HTTP Basic authentication; the documentation explains how to get credentials.
Does the API Endpoints API support HTTPS?
Yes, the API Endpoints API is served over HTTPS.
How many endpoints does the API Endpoints API have?
Its OpenAPI description lists 31 endpoints in version 2.0.0. All of them are shown on this page.
What are alternatives to the API Endpoints API?
Other Development APIs include Cloudflare, Azure DevOps, IPify, App Store Connect API, StackExchange.
Similar development APIs
Compare alternatives →Cloudflare
DevelopmentManage DNS, CDN, Workers and other services; documented with an official OpenAPI 3.0 spec
Azure DevOps
DevelopmentThe Azure DevOps basic components of a REST API request/response pair
IPify
DevelopmentA simple IP Address API
App Store Connect API
DevelopmentThe data structure that represents an app store connect api resource.
StackExchange
DevelopmentQ&A forum for developers
IPinfo
DevelopmentAnother simple IP Address API
Listed from APIs.guru (CC0).